module.exports = {
    purge: [
        './resources/**/*.blade.php',
        './resources/**/*.js',
        './resources/**/*.vue'
    ],
    darkMode: 'class', // or 'media' or 'class'
    theme: {
        extend: {
            colors: {
                green: {
                    '50': '#f1f9f7',
                    '100': '#e0f8ee',
                    '200': '#bbf3d6',
                    '300': '#83e9b7',
                    '400': '#32d785',
                    '500': '#11c055',
                    '600': '#0ea53c',
                    '700': '#1f7c49',
                    '800': '#166732',
                    '900': '#14532c',
                },
                pacific: {
                    '50': '#f4f9fa',
                    '100': '#e7f7f6',
                    '200': '#caedec',
                    '300': '#a1dde1',
                    '400': '#5dc1ce',
                    '500': '#2d9eb5',
                    '600': '#217b95',
                    '700': '#226176',
                    '800': '#1f4a59',
                    '900': '#1b3b46',
                },
                denim: {
                    '50': '#f4fafc',
                    '100': '#e4f6fb',
                    '200': '#c1e9f7',
                    '300': '#97d6f4',
                    '400': '#59b3f1',
                    '500': '#2c8bec',
                    '600': '#2067de',
                    '700': '#2051bc',
                    '800': '#1c3e8b',
                    '900': '#18336b',
                },
                royalblue: {
                    '50': '#f5fafc',
                    '100': '#e7f5fc',
                    '200': '#c8e4f9',
                    '300': '#a3cdf8',
                    '400': '#70a5f7',
                    '500': '#4179f5',
                    '600': '#2e55ee',
                    '700': '#2943d3',
                    '800': '#2234a2',
                    '900': '#1c2b7c',
                },
                indigo: {
                    '50': '#f5f8fc',
                    '100': '#eaf2fc',
                    '200': '#d1ddfa',
                    '300': '#b5c2f9',
                    '400': '#9096f8',
                    '500': '#6869f7',
                    '600': '#4d47f2',
                    '700': '#3e38db',
                    '800': '#312dad',
                    '900': '#272687',
                },
                purple: {
                    '50': '#f8f7fa',
                    '100': '#f4edfa',
                    '200': '#e9d3f6',
                    '300': '#deb2f4',
                    '400': '#d582f1',
                    '500': '#cb55ee',
                    '600': '#ad37e2',
                    '700': '#822bc3',
                    '800': '#5f2494',
                    '900': '#4a1f71',
                },
                cerise: {
                    '50': '#fcf9f9',
                    '100': '#fcf0f5',
                    '200': '#f9d3eb',
                    '300': '#f7addb',
                    '400': '#f875c0',
                    '500': '#f849a1',
                    '600': '#ef2c7a',
                    '700': '#cb225f',
                    '800': '#9a1c47',
                    '900': '#771838',
                },
                tomato: {
                    '50': '#fcf9f7',
                    '100': '#fcf0ee',
                    '200': '#fad9da',
                    '300': '#f8b7b8',
                    '400': '#f88381',
                    '500': '#f85752',
                    '600': '#ef3735',
                    '700': '#cd2930',
                    '800': '#9f212b',
                    '900': '#7c1c25',
                },
                mango: {
                    '50': '#fbf8f3',
                    '100': '#fbf2e2',
                    '200': '#f8e2bd',
                    '300': '#f5c884',
                    '400': '#f29e43',
                    '500': '#f0741f',
                    '600': '#e05013',
                    '700': '#b93c17',
                    '800': '#8e2f1a',
                    '900': '#6f2619',
                },
                carrot: {
                    '50': '#fbf9f3',
                    '100': '#faf5df',
                    '200': '#f6e9b0',
                    '300': '#f1d36f',
                    '400': '#e9af2f',
                    '500': '#e18a13',
                    '600': '#c7640b',
                    '700': '#9c4b0f',
                    '800': '#753914',
                    '900': '#5a2e14',
                },
            }
        },
    },
    variants: {
        extend: {},
    },
    plugins: [],
}
